# Download and endorse this mod in Nexus. All credits goes to aedenthorn.

## About this mod

Lets you reset old and new terrain edits with the hoe, the console, or a hotkey.

## Description

This mod works with both old-style edits and those performed after the 0.150.3 terrain modification update.

To reset terrain edits, follow one of the three methods below.

### Hoe

To reset terrain using the hoe, use the level terrain tool and hold down the modifier key (default left alt) when applying the effect.

You can change the hoe radius in the config file (default is 0, which makes it use the tool's actual radius).

### Console

Open the in-game console using F5.

The console command syntax is:

<command> <radius>

So, using the default command:

resetterrain 150

resets all edits within 150 meters of the local player.

### Hotkey


By default there is no hotkey set.

Edit the config file and add a hotkey to reset terrain in a radius around the local player when you press that key.

See https://docs.unity3d.com/Manual/class-InputManager.html for key names.

You can change the hotkey radius in the config file (default is 150m).


## Config

A config file BepInEx/config/aedenthorn.TerrainReset.cfg is created after running the game once with this mod.

You can adjust the config values by editing this file using a text editor or in-game using the Config Manager﻿.

To reload the config from the config file, type terrainreset reset into the game's console (F5).

## Technical

To install manually, place the dll file in the BepInEx/plugins folder. You will need BepInEx.

Code is at https://github.com/aedenthorn/ValheimMods

If you want to complain or ask for help or help aedenthorn test her mods, you can visit her [Discord server](https://discord.gg/bs6zHuj).

[Click here for a list of all aedenthorn's mods for Valheim.](https://www.nexusmods.com/valheim/articles/104)

* * *

Uploaded to Thunderstore for my own modpack.